[arch-commits] Commit in (6 files)

Andrea Scarpino andrea at archlinux.org
Sat Dec 12 15:40:52 UTC 2009


    Date: Saturday, December 12, 2009 @ 10:40:52
  Author: andrea
Revision: 61150

prepare kde-unstable repo

Added:
  phonon/
  phonon/kde-unstable/
  phonon/kde-unstable/PKGBUILD
  phonon/kde-unstable/phonon.install
  phonon/repos/
  phonon/trunk/

----------------+
 PKGBUILD       |   32 ++++++++++++++++++++++++++++++++
 phonon.install |   11 +++++++++++
 2 files changed, 43 insertions(+)

Added: phonon/kde-unstable/PKGBUILD
===================================================================
--- phonon/kde-unstable/PKGBUILD	                        (rev 0)
+++ phonon/kde-unstable/PKGBUILD	2009-12-12 15:40:52 UTC (rev 61150)
@@ -0,0 +1,32 @@
+# $Id: $
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=phonon
+pkgver=4.3.80
+pkgrel=1
+pkgdesc="The multimedia API for KDE4"
+arch=('i686' 'x86_64')
+url="http://phonon.kde.org"
+license=('LGPL')
+depends=('qt' 'xine-lib')
+makedepends=('cmake' 'automoc4')
+conflicts=('phonon-xine')
+install=${pkgname}.install
+source=("http://download.kde.org/unstable/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2")
+md5sums=('6b0c5554291615433c14c3c38f741690')
+
+build() {
+  cd ${srcdir}
+  mkdir build
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_SKIP_RPATH=ON \
+    -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' \
+    -DWITH_GStreamer=OFF \
+    -DWITH_GStreamerPlugins=OFF \
+    -DWITH_PulseAudio=OFF
+  make || return 1
+  make DESTDIR=${pkgdir} install
+}

Added: phonon/kde-unstable/phonon.install
===================================================================
--- phonon/kde-unstable/phonon.install	                        (rev 0)
+++ phonon/kde-unstable/phonon.install	2009-12-12 15:40:52 UTC (rev 61150)
@@ -0,0 +1,11 @@
+post_install() {
+	update-mime-database usr/share/mime &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}




More information about the arch-commits mailing list